[arch-projects] [devtools] [PATCH 2/2] common: propagate error through trap_exit

Dave Reisner dreisner at archlinux.org
Mon Jun 2 00:16:25 EDT 2014


Fixes a breakage introduced in 6db31cc16a80442 which leads to errors
being masked from makechrootpkg.

https://bugs.archlinux.org/task/40620
---
 lib/common.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lib/common.sh b/lib/common.sh
index e4bb91f..d9d7676 100644
--- a/lib/common.sh
+++ b/lib/common.sh
@@ -79,8 +79,9 @@ trap_abort() {
 }
 
 trap_exit() {
+	local r=$?
 	trap - EXIT INT QUIT TERM HUP
-	cleanup
+	cleanup $r
 }
 
 die() {
-- 
1.9.3



More information about the arch-projects mailing list